simulate = -1
trace_file = "gazelle_device.log"
analysis_file = "input/list_of_functions.xls"
memory_file = "input/memory_values/only_artisan_rf_sync_read.xlsx"
mapping = {
           "CacheFactory32Words"   : "000010000000111100",
           "CacheFactory64Words"   : "000000010010111100",
           "CacheFactory128Words"  : "000000100011111100",
           "CacheFactory256Words"  : "000000100111111100",
           "CacheFactory512Words"  : "000100110011111100",
           "CacheFactory1024Words" : "001000011111111100",
           "CacheFactory2048Words" : "001001011111111100",
           "CacheFactory4096Words" : "000101111111111100",
           "CacheFactory8192Words" : "001101111111111100",
           "CacheFactory16384Words": "011101111111111100"

}

run = {
        # Direct Mapped
        "FactoryDMCache1024WordsBaselineMemorySystem"             : False,
        "FactoryDMCache128WordsBaselineMemorySystem"              : False,
        "FactoryDMCache2048WordsBaselineMemorySystem"             : False,
        "FactoryDMCache256WordsBaselineMemorySystem"              : False,
        "FactoryDMCache32WordsBaselineMemorySystem"               : False,
        "FactoryDMCache4096WordsBaselineMemorySystem"             : False,
        "FactoryDMCache8192WordsBaselineMemorySystem"             : False,
        "FactoryDMCache16384WordsBaselineMemorySystem"            : False,
        "FactoryDMCache512WordsBaselineMemorySystem"              : False,
        "FactoryDMCache64WordsBaselineMemorySystem"               : False,
        "FactoryDMCache1024WordsMemorySystem"                     : False,
        "FactoryDMCache128WordsMemorySystem"                      : False,
        "FactoryDMCache2048WordsMemorySystem"                     : False,
        "FactoryDMCache256WordsMemorySystem"                      : False,
        "FactoryDMCache256WordsXORMemorySystem"                   : False,
        "FactoryDMCache32WordsMemorySystem"                       : False,
        "FactoryDMCache4096WordsMemorySystem"                     : False,
        "FactoryDMCache8192WordsMemorySystem"                     : False,
        "FactoryDMCache16384WordsMemorySystem"                    : False,
        "FactoryDMCache512WordsMemorySystem"                      : False,
        "FactoryDMCache64WordsMemorySystem"                       : False,
        
        # just Flash
        "FactoryFlashMemoryBaselineMemorySystem"                  : False,
        
        # SPM
        "FactorySPM512MemorySystem"                               : False,
        "FactorySPM512WithDMCache1024WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache1024WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache128WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache128WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache2048WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache2048WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache256WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache256WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache32WordsBaselineMemorySystem"     : False,
        "FactorySPM512WithDMCache32WordsMemorySystem"             : False,
        "FactorySPM512WithDMCache4096WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache4096WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache512WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache512WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache64WordsBaselineMemorySystem"     : False,
        "FactorySPM512WithDMCache64WordsMemorySystem"             : False,        
        "FactorySPM1kMemorySystem"                                : False,
        "FactorySPM1kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM1kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM1kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache512WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM1kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPM2kMemorySystem"                                : False,
        "FactorySPM2kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM2kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM2kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache512WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM2kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPM4kMemorySystem"                                : False,
        "FactorySPM4kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM4kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM4kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM4kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM4kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM4kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPMFullSizeMemorySystem"                          : False,
        
        # Phased Cache 2-way
        "FactoryPhasedCache2Way16WordsMemorySystem"               : False,
        "FactoryPhasedCache2Way32WordsMemorySystem"               : True,
        "FactoryPhasedCache2Way64WordsMemorySystem"               : True,
        "FactoryPhasedCache2Way128WordsMemorySystem"              : True,
        "FactoryPhasedCache2Way256WordsMemorySystem"              : True,
        "FactoryPhasedCache2Way512WordsMemorySystem"              : True,
        "FactoryPhasedCache2Way1024WordsMemorySystem"             : True,
        "FactoryPhasedCache2Way2048WordsMemorySystem"             : True,
        "FactoryPhasedCache2Way4096WordsMemorySystem"             : True,
        "FactoryPhasedCache2Way8192WordsMemorySystem"             : True,
        "FactoryPhasedCache2Way16384WordsMemorySystem"            : False,
        
        
        # Phased Cache 4-way
        "FactoryPhasedCache4Way8WordsMemorySystem"                : False,
        "FactoryPhasedCache4Way16WordsMemorySystem"               : False,
        "FactoryPhasedCache4Way32WordsMemorySystem"               : False,
        "FactoryPhasedCache4Way64WordsMemorySystem"               : False,
        "FactoryPhasedCache4Way128WordsMemorySystem"              : False,
        "FactoryPhasedCache4Way256WordsMemorySystem"              : False,
        "FactoryPhasedCache4Way512WordsMemorySystem"              : False,
        "FactoryPhasedCache4Way1024WordsMemorySystem"             : False,
        "FactoryPhasedCache4Way2048WordsMemorySystem"             : False,
        "FactoryPhasedCache4Way4096WordsMemorySystem"             : False,
        "FactoryPhasedCache4Way8192WordsMemorySystem"             : False,
        "FactoryPhasedCache4Way16384WordsMemorySystem"            : False,
        
        
        # Phased DM Cache
        "FactoryPhasedDMCache32WordsBaselineMemorySystem"         : False,
        "FactoryPhasedDMCache64WordsBaselineMemorySystem"         : False,
        "FactoryPhasedDMCache128WordsBaselineMemorySystem"        : False,
        "FactoryPhasedDMCache256WordsBaselineMemorySystem"        : False,
        "FactoryPhasedDMCache512WordsBaselineMemorySystem"        : False,
        "FactoryPhasedDMCache1024WordsBaselineMemorySystem"       : False,
        "FactoryPhasedDMCache2048WordsBaselineMemorySystem"       : False,
        "FactoryPhasedDMCache4096WordsBaselineMemorySystem"       : False,
        "FactoryPhasedDMCache8192WordsBaselineMemorySystem"       : False,
        "FactoryPhasedDMCache16384WordsBaselineMemorySystem"      : False,
        
        # Phased DM Cache indexing
        "FactoryPhasedDMCache32WordsMemorySystem"                 : False,
        "FactoryPhasedDMCache64WordsMemorySystem"                 : False,
        "FactoryPhasedDMCache128WordsMemorySystem"                : False,
        "FactoryPhasedDMCache256WordsMemorySystem"                : False,
        "FactoryPhasedDMCache512WordsMemorySystem"                : False,
        "FactoryPhasedDMCache1024WordsMemorySystem"               : False,
        "FactoryPhasedDMCache2048WordsMemorySystem"               : False,
        "FactoryPhasedDMCache4096WordsMemorySystem"               : False,
        "FactoryPhasedDMCache8192WordsMemorySystem"               : False,
        "FactoryPhasedDMCache16384WordsMemorySystem"              : False,
        
        # Way Halting
        "FactoryWayHalting4Way16WordsMemorySystem"                : False,
        "FactoryWayHalting4Way32WordsMemorySystem"                : False,
        "FactoryWayHalting4Way64WordsMemorySystem"                : False,
        "FactoryWayHalting4Way128WordsMemorySystem"               : False,
        "FactoryWayHalting4Way256WordsMemorySystem"               : False,
        "FactoryWayHalting4Way512WordsMemorySystem"               : False,
        "FactoryWayHalting4Way1024WordsMemorySystem"              : False,
        "FactoryWayHalting4Way2048WordsMemorySystem"              : False,
        "FactoryWayHalting4Way4096WordsMemorySystem"              : False,
        "FactoryWayHalting4Way8192WordsMemorySystem"              : False,
        "FactoryWayHalting4Way16384WordsMemorySystem"             : False
        
}