trace_file = "gazelle_device.log"
analysis_file = "input/list_of_functions.xls"
mapping = {
           "CacheFactory32Words"   : "000000000011011100",
           "CacheFactory64Words"   : "000000010011011100",
           "CacheFactory128Words"  : "000000010011111100",
           "CacheFactory256Words"  : "000000011011111100",
           "CacheFactory512Words"  : "000010011011111100",
           "CacheFactory1024Words" : "000000111111111100",
           "CacheFactory2048Words" : "000001111111111100",
           "CacheFactory4096Words" : "000011111111111100"
}

run = {
        "FactoryDMCache1024WordsBaselineMemorySystem"             : True,
        "FactoryDMCache1024WordsMemorySystem"                     : True,
        "FactoryDMCache128WordsBaselineMemorySystem"              : True,
        "FactoryDMCache128WordsMemorySystem"                      : True,
        "FactoryDMCache2048WordsBaselineMemorySystem"             : True,
        "FactoryDMCache2048WordsMemorySystem"                     : True,
        "FactoryDMCache256WordsBaselineMemorySystem"              : True,
        "FactoryDMCache256WordsMemorySystem"                      : True,
        "FactoryDMCache256WordsXORMemorySystem"                   : True,
        "FactoryDMCache32WordsBaselineMemorySystem"               : True,
        "FactoryDMCache32WordsMemorySystem"                       : True,
        "FactoryDMCache4096WordsBaselineMemorySystem"             : True,
        "FactoryDMCache4096WordsMemorySystem"                     : True,
        "FactoryDMCache512WordsBaselineMemorySystem"              : True,
        "FactoryDMCache512WordsMemorySystem"                      : True,
        "FactoryDMCache64WordsBaselineMemorySystem"               : True,
        "FactoryDMCache64WordsMemorySystem"                       : True,
        "FactoryFlashMemoryBaselineMemorySystem"                  : True,
        "FactorySPM512MemorySystem"                               : False,
        "FactorySPM512WithDMCache1024WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache1024WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache128WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache128WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache2048WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache2048WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache256WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache256WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache32WordsBaselineMemorySystem"     : False,
        "FactorySPM512WithDMCache32WordsMemorySystem"             : False,
        "FactorySPM512WithDMCache4096WordsBaselineMemorySystem"   : False,
        "FactorySPM512WithDMCache4096WordsMemorySystem"           : False,
        "FactorySPM512WithDMCache512WordsBaselineMemorySystem"    : False,
        "FactorySPM512WithDMCache512WordsMemorySystem"            : False,
        "FactorySPM512WithDMCache64WordsBaselineMemorySystem"     : False,
        "FactorySPM512WithDMCache64WordsMemorySystem"             : False,        
        "FactorySPM1kMemorySystem"                                : False,
        "FactorySPM1kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM1kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM1kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM1kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM1kWithDMCache512WordsBaselineMemorySystem"     : False,
        "FactorySPM1kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM1kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM1kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPM2kMemorySystem"                                : False,
        "FactorySPM2kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM2kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM2kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM2kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM2kWithDMCache512WordsBaselineMemorySystem"     : False,
        "FactorySPM2kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM2kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM2kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPM4kMemorySystem"                                : False,
        "FactorySPM4kWithDMCache1024WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache1024WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache128WordsBaselineMemorySystem"     : False,
        "FactorySPM4kWithDMCache128WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache2048WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache2048WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache256WordsBaselineMemorySystem"     : False,
        "FactorySPM4kWithDMCache256WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache32WordsBaselineMemorySystem"      : False,
        "FactorySPM4kWithDMCache32WordsMemorySystem"              : False,
        "FactorySPM4kWithDMCache4096WordsBaselineMemorySystem"    : False,
        "FactorySPM4kWithDMCache4096WordsMemorySystem"            : False,
        "FactorySPM4kWithDMCache512WordsMemorySystem"             : False,
        "FactorySPM4kWithDMCache64WordsBaselineMemorySystem"      : False,
        "FactorySPM4kWithDMCache64WordsMemorySystem"              : False,
        "FactorySPMFullSizeMemorySystem"                          : False
}