'''
Created on Nov 2, 2012

@author: vcarlos
'''
from cache import DMCache

class Simulation(object):
    '''
    classdocs
    '''
    
    def __init__(self, trace_file_name, mapping, number_of_address_bits):
        self.trace_file_name = trace_file_name
        self.mapping = mapping
        self.number_of_address_bits = number_of_address_bits
        
        self.__str_format = '{0:0' + str(number_of_address_bits) + 'b}'
        
        self.program_trace = self._ReadProgramTrace()
        self._FillLastMemoryAccessedCache()
    
    
    def _ReadProgramTrace(self):
        f = open(self.trace_file_name, "r")
        fwrite = open(self.trace_file_name + ".out", "w")
        program_trace = []
        line  = f.readline()
        while line != "":
            l = int(line, 16)
            program_trace.append(l)
            fwrite.write(str(l) + "\n")
            line = f.readline()
    
        fwrite.close()
        f.close()
    
        return program_trace
    
    
    def _MapAddress(self, address):
        address = self.__str_format.format(address)
        
        mapped_address = ""
        for i in xrange(self.number_of_address_bits):
            if self.mapping[i] == "1":
                mapped_address += address[i]
                
        return int(mapped_address,2)
    
    
    def _FillLastMemoryAccessedCache(self):
        number_of_mem_accesses = len(self.program_trace)    
        last_memory_access = {}
        
        for i in xrange(number_of_mem_accesses):
            address_i = self.program_trace[i]
            last_memory_access[address_i] = i
            
        self.last_memory_access = last_memory_access
    
    
    def _ReadFromCache(self, address, index):
#        print "Reading: ", address, "on ", index
        
        pos_in_cache = self._MapAddress(address)
        
#        print "pos_in_cache ", pos_in_cache
        
        value = address
        if self.dm_cache.has_key(pos_in_cache):
            value = self.dm_cache[pos_in_cache]
            v = value[-1]
            if v != address:
                value.append(address)
                self.dm_cache[pos_in_cache] = value
                
#                # only update conflic miss in case we know that we will access it later on
#                print "self.last_memory_access[address]", self.last_memory_access[address]
#                if self.last_memory_access[address] > index:
#                    self.conflict_miss_count += 1
#                else:
#                    self.miss_count += 1
                self.miss_count += 1
#                self.miss_count += 1
        else:
            # address not there yet, cold miss
            self.dm_cache[pos_in_cache] = [value]
            self.miss_count += 1
            
        print
    
    def Run(self):
    
        self.miss_count = 0
        self.conflict_miss_count = 0
    
        self.dm_cache = dict()
        
        self._FillLastMemoryAccessedCache()
        
        index = 0
        for each_address in self.program_trace:
            self._ReadFromCache(each_address, index)
            index += 1
        
    
    def NewRun(self):
        
        self.miss_count = 0
        
        self.dm_cache = DMCache(262144, size=1024, mapping="001000011111111100")
        for each_address in self.program_trace:
            self.miss_count += self.dm_cache.Read(each_address)
        
#        for each_address in program_trace:
            
            
program_trace = [0, 1, 5, 6, 1, 5, 6, 7, 6]
sim = Simulation("trace.log","001000011111111100", 18)
#sim.program_trace = program_trace

sim.NewRun()
print sim.miss_count
#print sim.dm_cache
print sim.dm_cache.GetTotalMissConflicts()
#total = 0
#for i in sim.dm_cache.iteritems():
#    bleh = i[1]
#    bleh.sort()
#    
#    j = 0
#    k = len(bleh)
#    if k > 1:
##        print bleh
#        while j < len(bleh):
#            lero = bleh[j]
#            c = bleh.count(lero)
#            total+= c - 1
#            j += c
#
#        
#print total
#print sim.miss_count

        
        
if __name__ == '__main__':
    pass


        