/******************************************************************************
* (C) Copyright 2011 <Company Name> All Rights Reserved
*
* MODULE:    DMCacheControllerAddressMapping
* DEVICE:     
* PROJECT:   
* AUTHOR:    vica   
* DATE:      2013 10:37:27 AM
*
* ABSTRACT:  You can customize the file content form Templates "verilog File"
*            
*******************************************************************************/


module DMCacheControllerAddressMapping #(
  parameter NB_CACHE_ADDR_BITS = 8,
  parameter NB_HADDR = 16
  )
  (
  input logic [NB_HADDR-1:0] addressIn,
  input logic [NB_HADDR-3:0] indexingConfig,
  
  output logic [NB_CACHE_ADDR_BITS-1:0] addressOut
  );
  
  assign addressOut = fu_map(addressIn, indexingConfig);

	// compilation time
  function logic[NB_CACHE_ADDR_BITS-1:0] fu_map (logic [NB_HADDR-1:0] addressIn, logic [NB_HADDR-3:0] indexingConfig);
  
    logic [fu_cLog2(NB_CACHE_ADDR_BITS)-1 : 0] index;
    logic [NB_HADDR-1:0] temp;
    integer i;  
    
    index = 0;
  
    // perform a mask on the address with the indexing configuration
//    $display("addressIn %h", addressIn);
//    $display("indexingConfig %b", indexingConfig);
    temp = addressIn & {indexingConfig, 2'b00};
//    $display("TEMP %b\n\n", temp);
    for (i = 2; i < NB_HADDR; i++)
      begin
        if (indexingConfig[i-2] == 1'b1)
          begin
            fu_map[index] = temp[i];
            index = index + 1;
          end
      end
  endfunction
  
	// compilation time
  function automatic int fu_cLog2 (int x);
    int comp;
    comp = 2;
    fu_cLog2 = 1;
    while (x > comp) begin
      fu_cLog2 = fu_cLog2 + 1;
      comp = comp * 2;
    end
  endfunction 		
      
endmodule

/******************************************************************************
*
* REVISION HISTORY:
*    
*******************************************************************************/
