module OneBitMemory #(
  parameter NB_ADDRESS = 8,
  parameter MEM_DEPTH  = 1 << NB_ADDRESS 
  )
  (
  input clk,
  input arst,
  
  // read port
  input logic [NB_ADDRESS-1:0] addrRead,
  input logic ceRead,
  input logic re,
  output logic dataOutRead,
  
  // Write port
  input logic [NB_ADDRESS-1:0] addrWrite,
  input logic dataInWrite,
  input logic we,
  input logic ceWrite
  );
  
  // 1 bit register file
  logic ram [MEM_DEPTH-1:0];
  
  integer i;
  
  // write port
  always_ff @(posedge clk or negedge arst)
    begin
      if (!arst)
//        for (i = 0; i < MEM_DEPTH; i++)
          ram <= '{MEM_DEPTH {0}};
      else
        if (we && ceWrite)
          ram[addrWrite] <= dataInWrite;
    end
    
  // read port
  always_comb
    begin
      if (!re && ceRead)
        dataOutRead <= ram[addrRead];
      else
        dataOutRead <= 1'b0;
    end
    
endmodule 
