module TagMemory #(
  parameter NB_ADDRESS = 12,
  parameter NB_DATA    = 4
  )
  (
  input clk,
  
  // Read port
  input logic [NB_ADDRESS-1:0] addrRead,
  input logic ceRead,
  input logic re,
  output logic [NB_DATA-1:0] dataOutRead,
  
  // Write port
  input logic [NB_ADDRESS-1:0] addrWrite,
  input logic [NB_DATA-1:0] dataInWrite,
  input logic we,
  input logic ceWrite
  );
  
  BasicMemory # (
    .NB_ADDRESS (NB_ADDRESS),
    .NB_DATA (NB_DATA)
  )
  u_BasicMemory (
    .clk (clk),
    // read port
    .addrRead (addrRead),
    .ceRead (ceRead),
    .re (re),
    .dataOutRead (dataOutRead),
    
    // write port
    .addrWrite (addrWrite),
    .dataInWrite (dataInWrite),
    .ceWrite (ceWrite),
    .we (we)
   );
         
endmodule 